package common.util;

public interface CharValidator {
	boolean valid(char ch);
	
	default String filter(String str) {
		StringBuilder sb = new StringBuilder();
		for(int z = 0; z < str.length(); z++) {
			char ch = str.charAt(z);
			if(this.valid(ch))
				sb.append(ch);
		}
		return sb.toString();
	}
	
	default boolean valid(String str) {
		for(int z = 0; z < str.length(); z++) {
			char ch = str.charAt(z);
			if(!this.valid(ch))
				return false;
		}
		return true;
	}
}